Subject: Re: [PATCH] commit: detect commits that exist in commit-graph but not in the ODB

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Oct 2023 10:35:35 -0700

Jeff King <[email-masked]> writes:

> I guess that is really like a global variable but even more gross. ;)

Yeah, I tend to agree, but ...

> But it is nice that it can cross process boundaries, because "how
> careful do we want to be" may be in the eye of the caller, especially
> for plumbing commands. E.g., even without --missing, you may want
> "rev-list" to be extra careful about checking the existence of commits.

... these are all very good points.

> The caller in check_connected() could arguably turn that on by default
> (the way we used to turn on GIT_REF_PARANOIA for pruning repacks before
> it became the default).

True.

Thanks.